[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# RemoveFixupReferences

Removes references to rootname from the fixup list.

## Declaration

Source position: classesh.inc line 2053

`procedure RemoveFixupReferences(`
`Root: TComponent;`
`const RootName: string`
`);`

## Description

RemoveFixupReferences examines the list of unresolved references and removes references to a root object pointing at Root or a root component named RootName.

An application programmer should never need to call RemoveFixupReferences. This function can be used by an IDE to support removal of broken component links.

## See also

RedirectFixupReferences |  | Redirects references under the root object from OldRootName to NewRootName

Documentation generated on: Feb 26 2014